Bug 863508 - [guided editor] Adding 'From' element breaks the editor
[guided editor] Adding 'From' element breaks the editor
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity urgent
: ER3
: BRMS 5.3.1 GA
Assigned To: manstis
Jiri Locker
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 12:18 EDT by Jiri Locker
Modified: 2014-10-26 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When adding a new 'from' widget to a rule within the Guided Rule Editor, incorrect program logic caused the 'from' widget to fail. Accordingly, the 'from' widget would disappear. Changes to the program logic have rectified the situation and the 'from' widget now functions as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0_Bankruptcy_history_before.png (66.63 KB, image/png)
2012-10-08 07:44 EDT, Jiri Locker
no flags Details
1_Bankruptcy_history_after.png (44.62 KB, image/png)
2012-10-08 07:45 EDT, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2012-10-05 12:18:55 EDT
Description of problem:
After adding 'From ...' to rule LHS the RHS disappears.

Version-Release number of selected component (if applicable):
BRMS 5.3.1.ER2

How reproducible:
always, independent of the rule contents

Steps to Reproduce:
1. open Bakruptcy history from mortgages sample repo
2. add 'From ...' conditional element

  
Actual results:
WHEN section disappears.

Expected results:
Should work as it used to.

Additional info:
This is a regression against ER1. Some change between ER1 and ER2 must have caused this.
Comment 1 manstis 2012-10-08 06:20:15 EDT
The "from" clause has two parts:-

(1) The Fact type you are selecting "from" something. If the Fact Type is not available the whole "from" section is locked (but can be deleted).

(2) The "from" listbox. This is not frozen if the bound fact is not available (this allows you to delete the erroneous type without deleting the whole "from" section). If you pick a type that is not available you do not get any child-fields (if applicable).

I thought this the better approach.
Comment 2 Jiri Locker 2012-10-08 07:43:07 EDT
Hello Micheal, I don't understand how your comment relates to the bug. I suspect you didn't successfully reproduce it. Here is more detailed list of steps to reproduce with Bankruptcy history rule:

1. click 'Add condition' (any green plus img)
2. select 'From ...' item in the dialog
3. click OK

Now, not only the From CE is not added, also the THEN section completely disappears and cannot be edited anymore. The rule can be recovered by reopening without saving the changes.

Following attachments illustrate the problem.
Comment 3 Jiri Locker 2012-10-08 07:44:54 EDT
Created attachment 623424 [details]
0_Bankruptcy_history_before.png
Comment 4 Jiri Locker 2012-10-08 07:45:27 EDT
Created attachment 623425 [details]
1_Bankruptcy_history_after.png
Comment 5 manstis 2012-10-08 11:20:10 EDT
Hi Jiri,

Yes I fully understood this bug and was able to reproduce it with ease. It was a regression caused by the changes made to allow you to delete frozen sections of the guided rule editor when the Fact Type does not exist anymore.

A fix has been pushed. My comment#1 explained behavior when you come to test.

With kind regards,

Mike
Comment 6 Jiri Locker 2012-10-08 12:24:50 EDT
Great, thanks! Misinterpretation was on my side. I'll verify with the next build.
Comment 7 Jiri Locker 2012-10-11 10:05:15 EDT
Fix verified in ER3.
Comment 8 Douglas Hoffman 2012-10-17 23:00:46 EDT
Thank you for the doc text information. I have just altered the text for Release Notes documentation purposes.

Thanks, 

Doug

Note You need to log in before you can comment on or make changes to this bug.